Page MenuHomePhabricator

Parse requests return gratuitous newlines
Closed, ResolvedPublic

Description

Parsoid makes parse requests to the MediaWiki API for extensions where
it doesn't have a native implementation. The php parser sometimes
returns trailing newlines which wouldn't be present from the extension
if it were being unstripped inline, since it tacks these on at eof.

From https://gerrit.wikimedia.org/r/c/mediawiki/services/parsoid/+/469355/

Event Timeline

Arlolra created this task.Oct 26 2018, 5:10 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 26 2018, 5:10 PM
Arlolra triaged this task as Normal priority.Dec 17 2018, 8:52 PM

Change 480889 had a related patch set uploaded (by Arlolra; owner: Arlolra):
[mediawiki/core@master] Remove trailing newline after prefixes have been cleared

https://gerrit.wikimedia.org/r/480889

Change 480890 had a related patch set uploaded (by Arlolra; owner: Arlolra):
[mediawiki/core@master] Omit outputting newline after final line

https://gerrit.wikimedia.org/r/480890

Change 494938 had a related patch set uploaded (by Arlolra; owner: Arlolra):
[mediawiki/extensions/ParserFunctions@master] Update tests to match parser changes

https://gerrit.wikimedia.org/r/494938

Change 494939 had a related patch set uploaded (by Arlolra; owner: Arlolra):
[mediawiki/extensions/ParserFunctions@master] Update tests to match parser changes

https://gerrit.wikimedia.org/r/494939

Change 494945 had a related patch set uploaded (by Arlolra; owner: Arlolra):
[mediawiki/extensions/Cite@master] Update tests to match parser changes

https://gerrit.wikimedia.org/r/494945

Change 494961 had a related patch set uploaded (by Arlolra; owner: Arlolra):
[mediawiki/extensions/TimedMediaHandler@master] Update tests to match parser changes

https://gerrit.wikimedia.org/r/494961

Change 494964 had a related patch set uploaded (by Arlolra; owner: Arlolra):
[mediawiki/extensions/ImageMap@master] Update tests to match parser changes

https://gerrit.wikimedia.org/r/494964

Change 496845 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/core@master] Temporarily trim leading/trailing whitespace from parser test clauses

https://gerrit.wikimedia.org/r/496845

Change 496846 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/core@master] Revert "Temporarily trim leading/trailing whitespace from parser test clauses"

https://gerrit.wikimedia.org/r/496846

Change 494939 had a related patch set uploaded (by C. Scott Ananian; owner: Arlolra):
[mediawiki/extensions/ParserFunctions@master] Update tests to match parser changes

https://gerrit.wikimedia.org/r/494939

Change 496845 merged by jenkins-bot:
[mediawiki/core@master] Temporarily trim leading/trailing whitespace from parser test clauses

https://gerrit.wikimedia.org/r/496845

Change 494938 merged by jenkins-bot:
[mediawiki/extensions/ParserFunctions@master] Update tests to match parser changes

https://gerrit.wikimedia.org/r/494938

Change 480889 merged by jenkins-bot:
[mediawiki/core@master] parser: Remove trailing newline after prefixes have been cleared

https://gerrit.wikimedia.org/r/480889

Change 494964 merged by jenkins-bot:
[mediawiki/extensions/ImageMap@master] Update tests to match parser changes

https://gerrit.wikimedia.org/r/494964

Change 494961 merged by jenkins-bot:
[mediawiki/extensions/TimedMediaHandler@master] Update tests to match parser changes

https://gerrit.wikimedia.org/r/494961

Change 494945 merged by jenkins-bot:
[mediawiki/extensions/Cite@master] Update tests to match parser changes

https://gerrit.wikimedia.org/r/494945

Change 494939 merged by jenkins-bot:
[mediawiki/extensions/ParserFunctions@master] Update tests to match parser changes

https://gerrit.wikimedia.org/r/494939

Change 480890 merged by jenkins-bot:
[mediawiki/core@master] parser: Omit outputting newline after final line

https://gerrit.wikimedia.org/r/480890

Change 496846 merged by jenkins-bot:
[mediawiki/core@master] Revert "Temporarily trim leading/trailing whitespace from parser test clauses"

https://gerrit.wikimedia.org/r/496846

Arlolra closed this task as Resolved.Mar 19 2019, 2:59 PM

Change 497564 had a related patch set uploaded (by Arlolra; owner: Arlolra):
[mediawiki/extensions/Scribunto@master] Update tests to match parser changes

https://gerrit.wikimedia.org/r/497564

Change 497571 had a related patch set uploaded (by Arlolra; owner: Arlolra):
[mediawiki/extensions/SyntaxHighlight_GeSHi@master] Update tests to match parser changes

https://gerrit.wikimedia.org/r/497571

Change 497577 had a related patch set uploaded (by Arlolra; owner: Arlolra):
[mediawiki/extensions/Kartographer@master] Update tests to match parser changes

https://gerrit.wikimedia.org/r/497577

Change 497571 merged by jenkins-bot:
[mediawiki/extensions/SyntaxHighlight_GeSHi@master] Update tests to match parser changes

https://gerrit.wikimedia.org/r/497571

Change 497564 merged by jenkins-bot:
[mediawiki/extensions/Scribunto@master] Update tests to match parser changes

https://gerrit.wikimedia.org/r/497564

Change 497577 merged by jenkins-bot:
[mediawiki/extensions/Kartographer@master] Update tests to match parser changes

https://gerrit.wikimedia.org/r/497577

Change 497865 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/core@master] Avoid counting input lines twice in BlockLevelPass::execute()

https://gerrit.wikimedia.org/r/497865

Change 497879 had a related patch set uploaded (by C. Scott Ananian; owner: Arlolra):
[mediawiki/core@master] BlockLevelPass: further fixes for T218817

https://gerrit.wikimedia.org/r/497879

Change 497871 had a related patch set uploaded (by Arlolra; owner: Arlolra):
[mediawiki/core@master] BlockLevelPass: further fixes for T218817

https://gerrit.wikimedia.org/r/497871

Change 497879 abandoned by Arlolra:
BlockLevelPass: further fixes for T218817

Reason:
As PS4 on https://gerrit.wikimedia.org/r/c/mediawiki/core/ /497871

https://gerrit.wikimedia.org/r/497879

Change 497871 merged by jenkins-bot:
[mediawiki/core@master] BlockLevelPass: further fixes for T218817

https://gerrit.wikimedia.org/r/497871

Change 497865 merged by jenkins-bot:
[mediawiki/core@master] Avoid counting input lines twice in BlockLevelPass::execute()

https://gerrit.wikimedia.org/r/497865

Change 497940 had a related patch set uploaded (by Jforrester; owner: Arlolra):
[mediawiki/core@wmf/1.33.0-wmf.22] BlockLevelPass: further fixes for T218817

https://gerrit.wikimedia.org/r/497940

Change 497941 had a related patch set uploaded (by Jforrester; owner: C. Scott Ananian):
[mediawiki/core@wmf/1.33.0-wmf.22] Avoid counting input lines twice in BlockLevelPass::execute()

https://gerrit.wikimedia.org/r/497941

Change 497940 merged by jenkins-bot:
[mediawiki/core@wmf/1.33.0-wmf.22] BlockLevelPass: further fixes for T218817

https://gerrit.wikimedia.org/r/497940

Change 497941 merged by jenkins-bot:
[mediawiki/core@wmf/1.33.0-wmf.22] Avoid counting input lines twice in BlockLevelPass::execute()

https://gerrit.wikimedia.org/r/497941

Change 498137 had a related patch set uploaded (by Arlolra; owner: Arlolra):
[mediawiki/extensions/Graph@master] Update tests to match parser changes

https://gerrit.wikimedia.org/r/498137

Change 498137 merged by jenkins-bot:
[mediawiki/extensions/Graph@master] Update tests to match parser changes

https://gerrit.wikimedia.org/r/498137

Change 498412 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/intersection@master] Update tests to match parser changes

https://gerrit.wikimedia.org/r/498412

Change 498412 merged by jenkins-bot:
[mediawiki/extensions/intersection@master] Update tests to match parser changes

https://gerrit.wikimedia.org/r/498412

Change 498701 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/wikihiero@master] Update tests to match parser changes

https://gerrit.wikimedia.org/r/498701

Change 498701 merged by jenkins-bot:
[mediawiki/extensions/wikihiero@master] Update tests to match parser changes

https://gerrit.wikimedia.org/r/498701

Change 539561 had a related patch set uploaded (by Arlolra; owner: Arlolra):
[mediawiki/services/parsoid@master] Get rid of trailing newline stripping of parse requests

https://gerrit.wikimedia.org/r/539561

Change 539561 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Get rid of trailing newline stripping of parse requests

https://gerrit.wikimedia.org/r/539561